## gclcvs 2.7.0-79

=== binutils/bfd/po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright 2001, 2003 Free Software Foundation, Inc.
#
# This file may be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = bfd
VERSION = 2.16.1

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po

DESTDIR =

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(srcdir)/../../mkinstalldirs

CC = gcc
GENCAT = @GENCAT@
GMSGFMT = PATH=../src:$$PATH 
MSGFMT = 
XGETTEXT = PATH=../src:$$PATH 
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  fr.po tr.po ja.po es.po sv.po da.po zh_CN.po ro.po
GMOFILES =  fr.gmo tr.gmo ja.gmo es.gmo sv.gmo da.gmo zh_CN.gmo ro.gmo
DISTFILES = ChangeLog Makefile.in.in SRC-POTFILES.in BLD-POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES)

# Note - the following line gets processed by bfd/configure and amended
# to contain the full list of source dir POTFILES.
SRC-POTFILES = \
	../aix386-core.c \
	../aix5ppc-core.c \
	../aout0.c \
	../aout32.c \
	../aout64.c \
	../aout-adobe.c \
	../aout-arm.c \
	../aout-cris.c \
	../aoutf1.h \
	../aout-ns32k.c \
	../aout-sparcle.c \
	../aout-target.h \
	../aout-tic30.c \
	../aoutx.h \
	../archive64.c \
	../archive.c \
	../archures.c \
	../armnetbsd.c \
	../bfd.c \
	../bfdio.c \
	../bfdwin.c \
	../binary.c \
	../bout.c \
	../cache.c \
	../cf-i386lynx.c \
	../cf-m68klynx.c \
	../cf-sparclynx.c \
	../cisco-core.c \
	../coff64-rs6000.c \
	../coff-a29k.c \
	../coff-alpha.c \
	../coff-apollo.c \
	../coff-arm.c \
	../coff-aux.c \
	../coffcode.h \
	../coffgen.c \
	../coff-go32.c \
	../coff-h8300.c \
	../coff-h8500.c \
	../coff-i386.c \
	../coff-i860.c \
	../coff-i960.c \
	../cofflink.c \
	../coff-m68k.c \
	../coff-m88k.c \
	../coff-maxq.c \
	../coff-mips.c \
	../coff-or32.c \
	../coff-rs6000.c \
	../coff-sh.c \
	../coff-sparc.c \
	../coff-stgo32.c \
	../coff-svm68k.c \
	../coffswap.h \
	../coff-tic30.c \
	../coff-tic4x.c \
	../coff-tic54x.c \
	../coff-tic80.c \
	../coff-u68k.c \
	../coff-w65.c \
	../coff-we32k.c \
	../coff-z8k.c \
	../corefile.c \
	../cpu-a29k.c \
	../cpu-alpha.c \
	../cpu-arc.c \
	../cpu-arm.c \
	../cpu-avr.c \
	../cpu-cr16c.c \
	../cpu-cris.c \
	../cpu-crx.c \
	../cpu-d10v.c \
	../cpu-d30v.c \
	../cpu-dlx.c \
	../cpu-fr30.c \
	../cpu-frv.c \
	../cpu-h8300.c \
	../cpu-h8500.c \
	../cpu-hppa.c \
	../cpu-i370.c \
	../cpu-i386.c \
	../cpu-i860.c \
	../cpu-i960.c \
	../cpu-ia64.c \
	../cpu-ip2k.c \
	../cpu-iq2000.c \
	../cpu-m10200.c \
	../cpu-m10300.c \
	../cpu-m32r.c \
	../cpu-m68hc11.c \
	../cpu-m68hc12.c \
	../cpu-m68k.c \
	../cpu-m88k.c \
	../cpu-maxq.c \
	../cpu-mcore.c \
	../cpu-mips.c \
	../cpu-mmix.c \
	../cpu-msp430.c \
	../cpu-ns32k.c \
	../cpu-openrisc.c \
	../cpu-or32.c \
	../cpu-pdp11.c \
	../cpu-pj.c \
	../cpu-powerpc.c \
	../cpu-rs6000.c \
	../cpu-s390.c \
	../cpu-sh.c \
	../cpu-sparc.c \
	../cpu-tic30.c \
	../cpu-tic4x.c \
	../cpu-tic54x.c \
	../cpu-tic80.c \
	../cpu-v850.c \
	../cpu-vax.c \
	../cpu-w65.c \
	../cpu-we32k.c \
	../cpu-xstormy16.c \
	../cpu-xtensa.c \
	../cpu-z8k.c \
	../demo64.c \
	../dwarf1.c \
	../dwarf2.c \
	../ecoff.c \
	../ecofflink.c \
	../ecoffswap.h \
	../efi-app-ia32.c \
	../efi-app-ia64.c \
	../elf32-am33lin.c \
	../elf32-arc.c \
	../elf32-arm.c \
	../elf32-avr.c \
	../elf32.c \
	../elf32-cr16c.c \
	../elf32-cris.c \
	../elf32-crx.c \
	../elf32-d10v.c \
	../elf32-d30v.c \
	../elf32-dlx.c \
	../elf32-fr30.c \
	../elf32-frv.c \
	../elf32-gen.c \
	../elf32-h8300.c \
	../elf32-hppa.c \
	../elf32-hppa.h \
	../elf32-i370.c \
	../elf32-i386.c \
	../elf32-i860.c \
	../elf32-i960.c \
	../elf32-ip2k.c \
	../elf32-iq2000.c \
	../elf32-m32r.c \
	../elf32-m68hc11.c \
	../elf32-m68hc12.c \
	../elf32-m68hc1x.c \
	../elf32-m68k.c \
	../elf32-m88k.c \
	../elf32-mcore.c \
	../elf32-mips.c \
	../elf32-msp430.c \
	../elf32-openrisc.c \
	../elf32-or32.c \
	../elf32-pj.c \
	../elf32-ppc.c \
	../elf32-s390.c \
	../elf32-sh64.c \
	../elf32-sh64-com.c \
	../elf32-sh.c \
	../elf32-sh-symbian.c \
	../elf32-sparc.c \
	../elf32-v850.c \
	../elf32-vax.c \
	../elf32-xstormy16.c \
	../elf32-xtensa.c \
	../elf64-alpha.c \
	../elf64.c \
	../elf64-gen.c \
	../elf64-hppa.c \
	../elf64-hppa.h \
	../elf64-mips.c \
	../elf64-mmix.c \
	../elf64-ppc.c \
	../elf64-s390.c \
	../elf64-sh64.c \
	../elf64-sparc.c \
	../elf64-x86-64.c \
	../elf-bfd.h \
	../elf.c \
	../elfcode.h \
	../elfcore.h \
	../elf-eh-frame.c \
	../elf-hppa.h \
	../elflink.c \
	../elf-m10200.c \
	../elf-m10300.c \
	../elfn32-mips.c \
	../elf-strtab.c \
	../elfxx-mips.c \
	../epoc-pe-arm.c \
	../epoc-pei-arm.c \
	../format.c \
	../freebsd.h \
	../genlink.h \
	../go32stub.h \
	../hash.c \
	../hp300bsd.c \
	../hp300hpux.c \
	../hpux-core.c \
	../i386aout.c \
	../i386bsd.c \
	../i386dynix.c \
	../i386freebsd.c \
	../i386linux.c \
	../i386lynx.c \
	../i386mach3.c \
	../i386msdos.c \
	../i386netbsd.c \
	../i386os9k.c \
	../ieee.c \
	../ihex.c \
	../init.c \
	../irix-core.c \
	../libaout.h \
	../libbfd.c \
	../libbfd.h \
	../libcoff.h \
	../libecoff.h \
	../libhppa.h \
	../libieee.h \
	../libnlm.h \
	../liboasys.h \
	../libpei.h \
	../libxcoff.h \
	../linker.c \
	../lynx-core.c \
	../m68k4knetbsd.c \
	../m68klinux.c \
	../m68klynx.c \
	../m68knetbsd.c \
	../m88kmach3.c \
	../m88kopenbsd.c \
	../mach-o.c \
	../mach-o.h \
	../merge.c \
	../mipsbsd.c \
	../mmo.c \
	../netbsd.h \
	../newsos3.c \
	../nlm32-alpha.c \
	../nlm32.c \
	../nlm32-i386.c \
	../nlm32-ppc.c \
	../nlm32-sparc.c \
	../nlm64.c \
	../nlm.c \
	../nlmcode.h \
	../nlmswap.h \
	../nlm-target.h \
	../ns32k.h \
	../ns32knetbsd.c \
	../oasys.c \
	../opncls.c \
	../osf-core.c \
	../pc532-mach.c \
	../pdp11.c \
	../pe-arm.c \
	../pef.c \
	../pef.h \
	../pef-traceback.h \
	../pe-i386.c \
	../pei-arm.c \
	../peicode.h \
	../pei-i386.c \
	../pei-mcore.c \
	../pei-mips.c \
	../pei-ppc.c \
	../pei-sh.c \
	../pe-mcore.c \
	../pe-mips.c \
	../pe-ppc.c \
	../pe-sh.c \
	../ppcboot.c \
	../reloc16.c \
	../reloc.c \
	../riscix.c \
	../sco5-core.c \
	../section.c \
	../simple.c \
	../som.c \
	../som.h \
	../sparclinux.c \
	../sparclynx.c \
	../sparcnetbsd.c \
	../srec.c \
	../stabs.c \
	../stab-syms.c \
	../sunos.c \
	../syms.c \
	../targets.c \
	../tekhex.c \
	../trad-core.c \
	../vax1knetbsd.c \
	../vaxbsd.c \
	../vaxnetbsd.c \
	../versados.c \
	../version.h \
	../vms.c \
	../vms-gsd.c \
	../vms.h \
	../vms-hdr.c \
	../vms-misc.c \
	../vms-tir.c \
	../xcofflink.c \
	../xcoff-target.h \
	../xsym.c \
	../xsym.h \
	../xtensa-isa.c \
	../xtensa-modules.c 

# Note - the following line gets processed by bfd/configure and amended
# to contain the full list of build dir POTFILES.
BLD-POTFILES = \
	../bfdver.h \
	../elf32-ia64.c \
	../elf32-target.h \
	../elf64-ia64.c \
	../elf64-target.h \
	../peigen.c \
	../pepigen.c \
	../targmatch.h 

CATALOGS = 
CATOBJEXT = 
INSTOBJEXT = 

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-no

all-yes: $(CATALOGS) # $(PACKAGE).pot
all-no:

$(srcdir)/$(PACKAGE).pot: $(SRC-POTFILES) $(BLD-POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) \
	  --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/SRC-POTFILES.in 
	$(XGETTEXT) --default-domain=$(PACKAGE) \
	  --directory=.. \
	  --directory=. \
	  --add-comments --keyword=_ --keyword=N_ \
	  --join-existing \
	  --files-from=$(srcdir)/BLD-POTFILES.in
	rm -f $(srcdir)/$(PACKAGE).pot
	mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot

$(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
$(srcdir)/stamp-cat-id: $(PACKAGE).pot
	rm -f cat-id-tbl.tmp
	sed -f ../intl/po2tbl.sed $(srcdir)/$(PACKAGE).pot \
		| sed -e "s/@PACKAGE NAME@/$(PACKAGE)/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f $(srcdir)/cat-id-tbl.c; \
	  mv cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; \
	fi
	cd $(srcdir) && rm -f stamp-cat-id && echo timestamp > stamp-cat-id


install: install-exec install-data
install-exec:
install-info:
install-data: install-data-no
install-data-no: all
install-data-yes: all
	if test -r $(MKINSTALLDIRS); then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(DESTDIR)$(gettextsrcdir)/po-Makefile.in.in

check: all

cat-id-tbl.o: ../intl/libgettext.h

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in *.mo *.msg *.cat *.cat.m
	rm -f SRC-POTFILES BLD-POTFILES 

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES) SRC-POTFILES.in BLD-POTFILES.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \

## gclcvs 2.7.0-26

=== debian/changelog ===
gclcvs (2.7.0-26) unstable; urgency=low

  * C_GC_OFFSET is 2 on m68k-linux

 -- Camm Maguire <camm@enhanced.com>  Thu, 24 Jun 2004 15:13:46 +0000

gclcvs (2.7.0-25) unstable; urgency=low

  * gcc-3.4 support
  * Proper isnormal default courtesy of Magnus Henoch
  * gclclean makefile target and other small makefile changes
  * Proper check for C stack array body address in gbc.c and sgbc.c
  * acconfig.h update for isnormal default
  * Fix bug in setting elements (si::aset) of 0 rank arrays uncovered by
    the random tester
  * No -fomit-frame-pointer on mingw
  * installed tcl/tk patch for mingw
  * Fix banner license detection code in lsp/gcl_mislib.lsp as
    8features* entries are now keywords
  * o/makefile changes to work around trailing slash -I arguments gcc
    bug on mingw
  * Patch to mingwin.c:fix_filename to close long standing 'maxima
    ignore-errors filename corruption' bug on mingw
  * Trigger error when trying to make an array of rank greater than the
    limit set at compile time
  * Fix potential stack overwrite bug in quick_call_sfun/eval.c
  * Add -mprferred-stack-boundary=8 on amd64, as constant integers used
    in a call must be retrievable with va_arg(,fixnum)
  * Revert preferred-stack-boundary option on amd64 as it does not play
    well with external libraries, also eliminate -m64 to allow for user
    settings.  Cast fixnum constant C arguments in gcl_cmploc.lsp
    explicitly to (long) to ensure they can be extracted via
    va_arg(,fixnum)
  * reenable SA_SIGINFO on amd64 to restore SGC there
  * Include elf.h in FreeBSD.h
  * Allow for elf_abi.h in FreeBSD.h
  * Add envp arg to main in rsym_nt.c
  * Add README.openbsd file
  * Fix load path of clcs_macros.lisp in myload1.lisp to reenable
    compiler::link in the ansi build
  * readme.mingw updates
  * solaris.h updates for custreloc option
  * Fix eval-when behavior in compiler -- in addition to extending
    support for the new keywords :execute, :compile-toplevel, and :load-
    toplevel throughout, repair the logic in which load trumped compile.
    Closes: #226859
  * Include stdlib.h when using alloca in the compiler, report all C
    warnings to the user
  * Remove generated pcl/pcl_gaz*lsp files from repository
  * gcl -> gclcvs in gcl.el and dbl.el when compiling gclcvs package,
    Closes: #255019
  * Close possibility of malloc failure due to intervening gbc arising
    from the misordering of allocation calls

 -- Camm Maguire <camm@enhanced.com>  Wed, 23 Jun 2004 19:22:08 +0000

gclcvs (2.7.0-24) unstable; urgency=low

  * Fix segfault in referencing (sgc_)type_map out of bounds which can
    occurr when C stack is below heap, as on alpha.
  * Cleanup compiler warnings on bcmp.c bzero.c and bcopy.c
  * Clean up compiler warning in file.d
  * Ensure set TLDFLAGS are used in finding DBEGIN in copnfigure.in, for
    OpenBSD

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 May 2004 21:51:43 +0000

gclcvs (2.7.0-23) unstable; urgency=low

  * Make *features* entries keywords -- add canonical host cpu and
    kernel-system to *features*, disable h files specific
    ADDITIONAL_FEATURES macro in main.c
  * Fix merge-pathanames bug in concatenating default and supplied
    directory lists
  * Minor pathname and *features* fixes
  * Fix recently introduced configure.in syntax bug
  * Minor patches to support big gcl images -- all page integers must be
    long ints, need stack space limits that scale with MAXPAGES at least
    to allow free_map stack array in sgc_start.  FIXME -- right now can
    handle situations where page numbers are ints, but npage*PAGESIZE is
    a long, need to handle npage >MAX_INT later.  This is to support the
    'billion cons element acl2 image' requested by a gcl user
  * Revert winnt features and debugging aids in configure.in
  * Revert debugging forms in o/prog.c
  * OpenBSD support, gcc warning cleanups for long page integers

 -- Camm Maguire <camm@enhanced.com>  Mon,  3 May 2004 21:36:09 +0000

gclcvs (2.7.0-22) unstable; urgency=low

  * New snapshot for Debian package

 -- Camm Maguire <camm@enhanced.com>  Tue, 20 Apr 2004 12:05:26 -0400

gclcvs (2.7.0-21) unstable; urgency=low

  * Remove junk files from source, which blocked build on ia64

 -- Camm Maguire <camm@enhanced.com>  Thu, 15 Apr 2004 15:13:10 +0000

gclcvs (2.7.0-20) unstable; urgency=low

  * Rework compiler::*ld-libs*, compiler::link, and unixport/makefile to
    accomodate mingw need for firstfile.o and lastfile.o
  * Remove incompatible -fomit-frame-pointer when compiling with -pg
    profiling
  * Load sys-proclaim.lisp files forimproved linking and smaller object
    size across the board, install same for use with compiler::link
  * Use pathnames instead of strings in compiler::link, also in image
    init files, for Windows
  * small mod to unixport/makefile re filtering of firstfile and
    lastfile
  * Default to debug mode on hppa to work around gcc compiler
    optimization bugs
  * Add missing m4 and automake files in binutils directory to enable
    automake and autoconf here
  * Add bfd/po makefiles
  * Macosx defaults in configure.in
  * Regenerate generated autotools files in binutils/bfd subdir
  * *gcl-version* -> *gcl-minor-version*,*gcl-extra-version*
  * Support for more informative banner reading features list
  * Support for both sigbus and sigsegv in sgbc.c as is customary in .h
    files
  * mach-o compatible changes in sfaslbfd.c
  * Support for new debugging section names in sfaslelf.c
  * Modify default banner slightly
  * Homebrew plt-like mechanism for ensuring that valid internal
    addresses exist to which undefined symbols in compiled lisp objects
    referring to external shared libraries can be relocated
  * Make configure demand gettext when choosing --enable-locbfd
  * Make sure references to ldb1, a stub conventionally optimized away,
    can be resonled when optimization is turned off
  * completion_matches ->  rl_completion_matches in gcl_readline.d,


=== debian/control ===
Source: gclcvs
Section: interpreters
Priority: optional
Maintainer: Camm Maguire <camm@enhanced.com>
Build-Depends: debhelper ( >= 4.1.0 ), emacs21 | emacsen, libreadline4-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev
Standards-Version: 3.6.1

Package: gclcvs
Architecture: any
Depends: ${shlibs:Depends}, ${gcc}
Suggests: gclcvs-doc
Description: GNU Common Lisp compiler, CVS snapshot
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains the Lisp system itself.  Documentation 
 is provided in the gclcvs-doc package.

Package: gclcvs-doc
Section: doc
Architecture: all
Conflicts: gclinfo
Replaces: gclinfo
Description: Documentation for GNU Common Lisp, CVS snapshot
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains Documentation in info format of both the
 system internals, as well as the graphical interface currently
 implemented in Tcl/Tk.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4
ARCHT:=$(shell dpkg --print-architecture)

MCC:=gcc
#ifeq ($(ARCHT),arm)
#MCC:=gcc-3.2
#endif
#ifeq ($(ARCHT),hppa)
#MCC:=gcc-3.2
#endif
#ifeq ($(ARCHT),ia64)
#MCC:=gcc-3.2
#endif

#RELOC=locbfd
RELOC=statsysbfd
ifeq ($(ARCHT),alpha)
RELOC=dlopen
endif
ifeq ($(ARCHT),mips)
RELOC=dlopen
endif
ifeq ($(ARCHT),mipsel)
RELOC=dlopen
endif
ifeq ($(ARCHT),ia64)
RELOC=dlopen
endif
ifeq ($(ARCHT),hppa)
RELOC=dlopen
endif

GMP=--enable-dynsysgmp

DEBUG=
#ifeq ($(ARCHT),hppa)
#DEBUG=--enable-debug
#endif

VERS=$(shell echo $$(cat majvers).$$(cat minvers))
EXT:=cvs

CFG:=$(addsuffix /config.,. binutils) gmp3/configfsf.
# Bug in autocont dependency on emacsen-common workaround
#CFGS:=$(addsuffix .ori,configure $(addsuffix guess,$(CFG)) $(addsuffix sub,$(CFG)))
CFGS:=$(addsuffix .ori,$(addsuffix guess,$(CFG)) $(addsuffix sub,$(CFG)))

$(filter %.guess.ori,$(CFGS)): %.ori: /usr/share/misc/config.guess %
	! [ -e $* ] || [ -e $@ ] || cp $* $@
	[ $$($< -t | tr -d '-') -le $$(./$* -t | tr -d '-') ] || cp $< $*
	touch $@

$(filter %.sub.ori,$(CFGS)): %.ori: /usr/share/misc/config.sub %
	! [ -e $* ] || [ -e $@ ] || cp $* $@
	[ $$($< -t | tr -d '-') -le $$(./$* -t | tr -d '-') ] || cp $< $*
	touch $@

configure.ori: %.ori: configure.in 
	! [ -e $* ] || [ -e $@ ] || cp $* $@
	cd $(@D) && autoconf 
	touch $@

configure-%-stamp: $(CFGS)

	dh_testdir

	chmod -R +x gmp3/*

	[ "$(ARCHT)" != "i386" ] || ( cd gmp3 && CC=$(MCC) ./configure --build=i486-unknown-linux-gnu )

	[ "$*" != "ansi" ] || ANSI="--enable-ansi" ; \
	CC=$(MCC) ./configure \
		--disable-statsysbfd \
		--enable-$(RELOC) \
		$(GMP) \
		$(DEBUG) \
		$$ANSI \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--enable-infodir=\$${prefix}/share/info \
		--enable-emacsdir=\$${prefix}/share/emacs/site-lisp

	touch $@


build-%-stamp: configure-%-stamp
	dh_testdir

	$(MAKE)

	rm -rf debian/$*
	mkdir -p debian/$*
	$(MAKE) install DESTDIR=$$(pwd)/debian/$*

	touch $@

bclean-stamp:
	-$(MAKE) clean
	touch $@

ansi-tests/test_results: build-ansi-stamp
	$(MAKE) $@

build: build-stamp
build-stamp: build-trad-stamp bclean-stamp build-ansi-stamp ansi-tests/test_results
	touch $@

debian/control.rm:
	rm -f $${$@%.rm}

debian/control: debian/control.rm
	cp debian/control.$(EXT) debian/control

clean: debian/control
	dh_testdir
	dh_testroot
	rm -f *stamp

	-$(MAKE) clean

	dh_clean
	rm -rf debian/trad debian/ansi $(INS) debian/substvars
	rm -rf *stamp
	for i in $(CFGS) ; do ! [ -e $$i ] || mv $$i $${i%.ori} ; done


BVER:=$(shell dpkg -s binutils |grep ^Version: | cut -f2 -d\  | cut -f1 -d\-)
debian/substvars:
	grep -q ^binutils: $@ 2>/dev/null || echo "binutils:Version=$(BVER)" >> $@

INS:=$(shell for i in debian/in.* ; do echo $$i | sed 's,in.,,1' ; done |sed "s,gcl,gcl$(EXT),g")

$(INS): debian/gcl$(EXT)% : debian/in.gcl%
	cat $< | sed 's,@EXT@,$(EXT),g' >$@

install: install-stamp
install-stamp: build-stamp debian/control $(INS)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/tmp
	cp -a debian/ansi/* debian/tmp/
	cp -a debian/trad/* debian/tmp/

	mv debian/tmp/usr/share/emacs/site-lisp debian/tmp/usr/share/emacs/foo
	mkdir -p debian/tmp/usr/share/emacs/site-lisp
	mv debian/tmp/usr/share/emacs/foo debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)

#	cp -a $$(find debian/tmp/usr/local -name site-lisp -type d) \
#		debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)
#	rm -rf debian/tmp/usr/local

	cat debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/gcl.el |\
		sed \
			-e "s,(provide  *'gcl),(provide 'gcl$(EXT)),g" \
			-e "s,(require  *'gcl),(require 'gcl$(EXT)),g" \
			-e "s,gcl-mode,gcl$(EXT)-mode,1" \
		>tmp &&\
		mv tmp debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/gcl$(EXT).el
	[ "$(EXT)" = "" ] || rm debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/gcl.el

	cat debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/dbl.el |\
		sed \
			-e "s,(provide  *'gcl),(provide 'gcl$(EXT)),g" \
			-e "s,(require  *'gcl),(require 'gcl$(EXT)),g" \
			-e "s,gcl-mode,gcl$(EXT)-mode,1" \
		>tmp &&\
		mv tmp debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/dbl$(EXT).el
	[ "$(EXT)" = "" ] || rm debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/dbl.el

	[ "$(EXT)" = "" ] || \
		for i in debian/tmp/usr/share/info/*.info*; do \
			mv $$i $$(echo $$i | sed "s,gcl,gcl$(EXT),g"); done

	mv debian/tmp/usr/share/doc debian/tmp/usr/share/foo
	mkdir -p debian/tmp/usr/share/doc/gcl-doc
	mv debian/tmp/usr/share/foo/* debian/tmp/usr/share/doc/gcl-doc
	rmdir debian/tmp/usr/share/foo

	[ "$(EXT)" = "" ] || \
		mv debian/tmp/usr/share/doc/gcl-doc debian/tmp/usr/share/doc/gcl$(EXT)-doc 

	cat debian/tmp/usr/lib/gcl-$(VERS)/gcl-tk/demos/index.lsp | \
		sed "s,$$(pwd)/debian/tmp,,1" >debian/foo
	mv debian/foo debian/tmp/usr/lib/gcl-$(VERS)/gcl-tk/demos/index.lsp

	rm -f debian/tmp/usr/bin/*.exe debian/tmp/usr/bin/*.bat

	find debian/tmp -type f -name "*.lsp" -exec chmod -x {} \;
	find debian/tmp -type f -name "*.lisp" -exec chmod -x {} \;
	find debian/tmp -type f -name "*.el" -exec chmod -x {} \;
	find debian/tmp -type f -name "*.tcl" -exec chmod -x {} \;

	rm -f debian/tmp/usr/bin/gcl
	cat debian/gcl.sh | sed "s,gcl/,/usr/lib/gcl-$(VERS)/,g" >debian/tmp/usr/bin/gcl$(EXT)
	chmod 0755 debian/tmp/usr/bin/gcl$(EXT)

	rm -rf debian/tmp/usr/lib/gcl-$(VERS)/info

	dh_install

	touch $@

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installinfo -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install debian/substvars
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installemacsen -a
#	dh_installmanpages -a gcl/gmp3/ansi2knr.1
	dh_installman -a
	dh_installchangelogs ChangeLog -a
	dh_strip -a -Xlibgcl -Xlibansi_gcl
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -u"-Vgcc=$(MCC)"
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
.PRECIOUS: configure-trad-stamp configure-ansi-stamp

## gclcvs 2.7.0-36

=== debian/changelog ===
gclcvs (2.7.0-36) unstable; urgency=high

  * Modify pull-evals and add arg-appears in gcl_cmpeval.lsp to more
    correctly choose which arguments need pre-evaluation in binary op
    compiler-macros
  * fix fix_bitp reference to 30 instead of LOG_WORD_SIZE-2
  * int ->fixnum in list.d
  * Don't pull-eval function slot of binary-op forms
  * Yet more conservative binary-op compiler-macro strategy
  * Choose right binding when pre-evaluating vars in binary-op compiler-
    macros, using cons args as divisors
  * Fix bignum2 function broken recently by accident
  * Use side-effect flag in optimizer to prevent exponential growth in C
    expressions on nesting certain optimized forms
  * Old pathname-name case behavior in CLtL1
  * Preliminary type inferencing
  * reduce print.cons.random.2 iterations for slow autobuilders to migrate
    latest into sarge, Closes: #282809.

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Dec 2004 01:22:13 +0000

gclcvs (2.7.0-35) unstable; urgency=high

  * Evaluate all args to function operators rewritten in binary pairs
    via compiler macros, closing recent test failures misc.lsp
  * revert native-reloc exemption to wrap-literals -- is rather a 64bit
    issue
  * Preliminary support for 64bit address/nani/load-time-value, and
    64bit most-positive-fixnum

 -- Camm Maguire <camm@enhanced.com>  Sat, 27 Nov 2004 22:03:22 +0000

gclcvs (2.7.0-34) unstable; urgency=low

  * revert changes to local bfd.h files, a users might have them as
    system headers -- instead workaround reloc_done abort in sfaslbfd.c
  * Add feature native-reloc for platforms which can natively relocate
    loaded code (i.e. do not need dlopen), conditionalize new
    compiler::wrap-literals with this feature, as otherwise code can
    refer to data mapped by dlopen, which cannot be gc'ed
  * Reduce iterations for print.cons.1 test, as slower machines are
    timing out

 -- Camm Maguire <camm@enhanced.com>  Thu, 25 Nov 2004 14:47:53 -0500

gclcvs (2.7.0-33) unstable; urgency=high

  * Temporary workaround to restore xgcl
  * Properly negate integers in mp.h on 64bit machines, allowing for the
    fact that (int)2^31=-(int)2^31
  * Fix CSSIZE configure handling
  * Trigger error in funcall_with_catcher on too many call arguments
  * install target depends on all in main makefile to comply with GNU
    standards
  * load-time-value support; close compile bugs in ansi test suite
  * Only wrap-literals when not keeping temporary gazonk lisp files
    (e.g. for possible future use in compiler::link and the like).
    *keep-gaz* is effectively a switch turning compile into compile-
    file.  Make wrapping algorithm a bit more thorough.
  * Fix method-combintion ANSI failures, from cmucl
  * compiler-macro and method-combination documentation types
  * complete si::debug -> si::debugger name change
  * open probe ANSI fixes
  * array-dimension fix for bitvectors, adjust-array ansi fixes
  * bfd version independent section size semantics
  * Bug fix: "c-l-c for gclcvs creates directories in root", thanks to
    Richard M Kreuter (Closes: #282535). Fix error in clc script.
  * Make local bfd source compatible with new section size semantics
  * Fix install-command target in main makefile, DESTDIR and prefix should
    only be used in install1.
  * Bug fix: "gclcvs: FTBFS: error making tests.", thanks to Kurt Roeckx
    (Closes: #282809).file-author returns nil when pwent is null.
  * Bug fix: "FTBFS: segmentation fault", thanks to Matt Kraai (Closes:
    #274319).file-author returns nil when pwent is null.
  * Support for SC_CLK_TICK for different system time increments
  * versionless debhelper build-depend
  * Fix Debian clc cleanup

 -- Camm Maguire <camm@enhanced.com>  Thu, 25 Nov 2004 00:02:07 +0000

gclcvs (2.7.0-32) unstable; urgency=high

  * Use GMP gcd in bignum case, for performance improvement and better
    binary algorithm
  * Optimize some ratio calculations by advance call of get_gcd, also
    bring forward gmp functions mpz_divexact and mpz_divexact_ui
  * lisp-implementation-version reports GCL instead of Kyoto Common Lisp
  * Fix typo in get_gcd in num_arith.c; safer in_place checking in
    ratio_op_with_cancellation
  * Lint fixes to sfaslelf.c, correctly set init_address when .text is
    not first (Solaris ld) (heads up, Mike, you might need to check this
    too), remove assertion of non-alloc rel/rela section names
  * Solaris Lint fix to sfasli.c
  * Fix compiler::link when gnu-ld is absent
  * Fix case of exact division of 0 by a greater gcd value in
    integer_exact_quotient; trim make_ratio and reinstate as a ratio
    regularization routine in all instances,add pre_cancle flag to
    make_ratio, proper precision for some internal constants to
    correctly propagate precision of results, rework sqrt to give sane
    results for negative reals and to preserve precision, precision
    corrections in number_atan2, fix inverse trig, sqrt, and all floor
    related ansi tests
  * subtypep, upgraded array-element-type and ash ansi fixes
  * Build with local bfd in libgcl to ease migration into testing, as
    current binutils is long-term buggy
  * gmp_wrapper variable declaration order change for older gcc
  * fix wrongprototype for Llast
  * compiler macros to rewrite certain multi argument functions as
    nested calls with two arguments, to enable inlining
  * Support for inlining functions returning multiple values, with
    gethash as the first example
  * Fix compiler warning in gcl_top.lsp
  * Cleanup fixes to subtype tests of ansi test suite
  * Some very preliminary work/fixes to the ansi pretty printer tests
  * Fix ansi bignum comparison tests; FIXME -- ratio *  double where
    denominator of former is very large and the latter is modest will
    still probably fail -- need a test here (Paul?)

 -- Camm Maguire <camm@enhanced.com>  Thu, 16 Sep 2004 21:24:12 +0000

gclcvs (2.7.0-31) unstable; urgency=high



=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Camm Maguire <camm@enhanced.com>
-Build-Depends: debhelper ( >= 4.1.0 ), emacs21 | emacsen, libreadline4-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev
+Build-Depends: debhelper, emacs21 | emacsen, libreadline4-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev
 Standards-Version: 3.6.1
 
 Package: gclcvs
 Architecture: any
-Depends: ${shlibs:Depends}, ${gcc}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, ${binutils}
 Suggests: gclcvs-doc
 Description: GNU Common Lisp compiler, CVS snapshot
  GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # This is the debhelper compatability version to use.
 export DH_COMPAT=4
-ARCHT:=$(shell dpkg --print-architecture)
+ARCHT:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 MCC:=gcc
 #ifeq ($(ARCHT),arm)
@@ -24,8 +24,8 @@
 #MCC:=gcc-3.2
 #endif
 
-#RELOC=locbfd
-RELOC=statsysbfd
+RELOC=locbfd
+#RELOC?=statsysbfd
 ifeq ($(ARCHT),alpha)
 RELOC=dlopen
 endif
@@ -42,7 +42,7 @@
 RELOC=dlopen
 endif
 
-GMP=--enable-dynsysgmp
+GMP?=
 
 DEBUG=
 #ifeq ($(ARCHT),hppa)
@@ -76,17 +76,22 @@
 
 	dh_testdir
 
+	! [ -e unixport/saved_pre_gcl ] || ( for i in o lsp cmpnew unixport pcl clcs ; do $(MAKE) -C $$i clean ; done )
+
 	chmod -R +x gmp3/*
 
-	[ "$(ARCHT)" != "i386" ] || ( cd gmp3 && CC=$(MCC) ./configure --build=i486-unknown-linux-gnu )
-
-	[ "$*" != "ansi" ] || ANSI="--enable-ansi" ; \
+#	[ "$(ARCHT)" != "i386" ] || ( cd gmp3 && CC=$(MCC) ./configure --build=i486-unknown-linux-gnu )
+
+	[ "$*" != "ansi" ] || FLAGS="--enable-ansi" ; \
+	[ "$*" != "gprof" ] || FLAGS="--enable-gprof" ; \
+	[ "$*" != "ansi-gprof" ] || FLAGS="--enable-ansi --enable-gprof" ; \
 	CC=$(MCC) ./configure \
+		--host=$$(dpkg-architecture -qDEB_HOST_GNU_TYPE) \
 		--disable-statsysbfd \
 		--enable-$(RELOC) \
 		$(GMP) \
 		$(DEBUG) \
-		$$ANSI \
+		$$FLAGS \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--enable-infodir=\$${prefix}/share/info \
@@ -103,6 +108,12 @@
 	rm -rf debian/$*
 	mkdir -p debian/$*
 	$(MAKE) install DESTDIR=$$(pwd)/debian/$*
+	[ "$(findstring gprof,$*)" = "" ] || (\
+		tmp=debian/$*; old=/usr/lib/gcl-$(VERS); new=$$old-prof;\
+		if [ "$(findstring ansi,$*)" = "" ] ; then i=saved_gcl ; else i=saved_ansi_gcl ; fi;\
+		mv $$tmp/$$old $$tmp/$$new ;\
+		echo "(reset-sys-paths \"$$new/\")(si::save-system \"debian/tmp-image\")" | $$tmp/$$new/unixport/$$i &&\
+		mv debian/tmp-image $$tmp/$$new/unixport/$$i;)
 
 	touch $@
 
@@ -114,7 +125,7 @@
 	$(MAKE) $@
 
 build: build-stamp
-build-stamp: build-trad-stamp bclean-stamp build-ansi-stamp ansi-tests/test_results
+build-stamp:  build-trad-stamp build-gprof-stamp build-ansi-gprof-stamp build-ansi-stamp ansi-tests/test_results
 	touch $@
 
 debian/control.rm:
@@ -131,12 +142,13 @@
 	-$(MAKE) clean
 
 	dh_clean
-	rm -rf debian/trad debian/ansi $(INS) debian/substvars
+	rm -rf debian/gprof debian/ansi-gprof debian/trad debian/ansi $(INS) debian/substvars
 	rm -rf *stamp
 	for i in $(CFGS) ; do ! [ -e $$i ] || mv $$i $${i%.ori} ; done
 
 
-BVER:=$(shell dpkg -s binutils |grep ^Version: | cut -f2 -d\  | cut -f1 -d\-)
+BVER:=$(shell dpkg -s binutils |grep ^Version: | cut -f2 -d\  )
+BVERB:=$(shell echo $(BVER) | cut -f1 -d-)
 debian/substvars:
 	grep -q ^binutils: $@ 2>/dev/null || echo "binutils:Version=$(BVER)" >> $@
 
@@ -155,6 +167,8 @@
 	mkdir -p debian/tmp
 	cp -a debian/ansi/* debian/tmp/
 	cp -a debian/trad/* debian/tmp/
+	cp -a debian/gprof/* debian/tmp/
+	cp -a debian/ansi-gprof/* debian/tmp/
 
 	mv debian/tmp/usr/share/emacs/site-lisp debian/tmp/usr/share/emacs/foo
 	mkdir -p debian/tmp/usr/share/emacs/site-lisp
@@ -183,7 +197,7 @@
 	[ "$(EXT)" = "" ] || rm debian/tmp/usr/share/emacs/site-lisp/gcl$(EXT)/dbl.el
 
 	[ "$(EXT)" = "" ] || \
-		for i in debian/tmp/usr/share/info/*.info*; do \
+		for i in debian/tmp/usr/share/info/gcl-*.info*; do \
 			mv $$i $$(echo $$i | sed "s,gcl,gcl$(EXT),g"); done
 
 	mv debian/tmp/usr/share/doc debian/tmp/usr/share/foo
@@ -200,16 +214,26 @@
 
 	rm -f debian/tmp/usr/bin/*.exe debian/tmp/usr/bin/*.bat
 
-	find debian/tmp -type f -name "*.lsp" -exec chmod -x {} \;
-	find debian/tmp -type f -name "*.lisp" -exec chmod -x {} \;
-	find debian/tmp -type f -name "*.el" -exec chmod -x {} \;
-	find debian/tmp -type f -name "*.tcl" -exec chmod -x {} \;
+	find debian/tmp -type f -name "*.lsp" -exec chmod ugo-x {} \;
+	find debian/tmp -type f -name "*.lisp" -exec chmod ugo-x {} \;
+	find debian/tmp -type f -name "*.el" -exec chmod ugo-x {} \;
+	find debian/tmp -type f -name "*.tcl" -exec chmod ugo-x {} \;
 
 	rm -f debian/tmp/usr/bin/gcl
-	cat debian/gcl.sh | sed "s,gcl/,/usr/lib/gcl-$(VERS)/,g" >debian/tmp/usr/bin/gcl$(EXT)
+	TKVERS=$$(cat bin/gcl | grep /tk | head -1l | sed "s,.*/tk\([0-9.]*\)\").*,\1,1"); \
+		cat debian/gcl.sh | sed -e "s,@EXT@,$(EXT),g" \
+					-e "s,@VERS@,$(VERS),g" \
+					-e "s,@TKVERS@,$$TKVERS,g" >debian/tmp/usr/bin/gcl$(EXT)
 	chmod 0755 debian/tmp/usr/bin/gcl$(EXT)
 
 	rm -rf debian/tmp/usr/lib/gcl-$(VERS)/info
+	mkdir -p debian/tmp/etc/default
+	echo DEFAULT_GCL_ANSI= >debian/tmp/etc/default/gcl$(EXT)
+	echo DEFAULT_GCL_PROF= >>debian/tmp/etc/default/gcl$(EXT)
+
+	mkdir -p debian/tmp/usr/lib/common-lisp/bin
+	chmod +x debian/gcl$(EXT)-clc.sh
+	cp debian/gcl$(EXT)-clc.sh debian/tmp/usr/lib/common-lisp/bin/gcl$(EXT).sh
 
 	dh_install
 
@@ -231,24 +255,24 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary-arch: build install debian/substvars
+binary-arch: build install #debian/substvars
 	dh_testdir -a
 	dh_testroot -a
 	dh_installdocs -a
 	dh_installemacsen -a
 #	dh_installmanpages -a gcl/gmp3/ansi2knr.1
 	dh_installman -a
+	dh_installdebconf -a
 	dh_installchangelogs ChangeLog -a
-	dh_strip -a -Xlibgcl -Xlibansi_gcl
+	dh_strip -a -Xlibgcl -Xlibansi_gcl \
+		-Xgcl-$(VERS)-prof/unixport/saved_gcl -Xgcl-$(VERS)-prof/unixport/saved_ansi_gcl
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a -u"-Vgcc=$(MCC)"
+	[ "$(RELOC)" != statsysbfd ] || dh_gencontrol -a -u"-Vgcc=$(MCC) -Vbinutils=binutils-dev(>=$(BVER)),binutils-dev(<=$(BVERB)-999)"
+	[ "$(RELOC)" = statsysbfd ] || dh_gencontrol -a -u"-Vgcc=$(MCC)"
 	dh_md5sums -a
 	dh_builddeb -a
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
-.PRECIOUS: configure-trad-stamp configure-ansi-stamp

## gclcvs 2.7.0-50

=== debian/changelog ===
gclcvs (2.7.0-50) unstable; urgency=low

  * debian binutils 2-16.1
  * ia64 support for latest changes

 -- Camm Maguire <camm@enhanced.com>  Sat, 10 Sep 2005 01:28:14 +0000

gclcvs (2.7.0-49) unstable; urgency=low

  * Restore acl2 build for testing purposes
  * block compound integer inlines for now following older pattern --
    FIXME
  * Pass unboxed binums in and out of compiled functions -- FIXME,
    decide if this is preferable to blocking this possibility and saving
    this facility for floats/doubles.  ACL2 declares quite a few
    functions as having unbounded integer arguments.
  * Allow fmakunbound to proceed on undefined functions in cltl1 for
    acl2
  * Move cmp-array-dimension proclamation to sys-proclaim.lisp until can
    work out top level form ordering in compiled files
  * More efficient inliner for array-dimension
  * Fix compile-file-pathname and compile-file-truename, split-files
  * Handle file type defaults in compile-file
  * Fix '* array element handling in aref-propagator
  * Style-warning condition
  * Save variable type information in *c-vars*, using alternate form
    (cons index type) for stack vars in inline blocks, for use in late
    inlining
  * expand result-type-from-args invocation; run compiler macros before
    c1 funs
  * Better list search function optimizations -- FIXME more here later
  * Don't  autodeclare apparently constant special variable bindings
  * compile-file ansi test fixes
  * replace eql with eq in list search functions when possible
  * preliminary support for symbol keyword and cons type optimization in
    compiler
  * Preparation for error system overhaul work
  * deftype before structure-subtype in typep
  * unused vars
  * remove ':
  * fmakunbound on undefined fn is not an error
  * heuristic to detect compiled objects from text files independent of
    filename extension
  * truename is not destructive
  * wrap compile-file  in ansi image for warnings and failures
  * Remove unused ansi_cl.lisp
  * Preliminary gabriel benchmark addition
  * Fix compile to pass warnings and failures from compile-file
  * Fix binary file detection heuristic for short files
  * Fix command line compile semantics for new compile-file behavior
  * function identifier type -- stack strings don't work for error
    reporting
  * stoi for unboxed integer arguments
  * use-fast-links -> si::use-fast-links in ansi
  * Fix (* -2147483648 -2147483648)
  * Begin centralizing C types in compiler.  Prevent passing unboxed
    integers across functions, prepare for doing so with short and long
    floats instead.
  * TAGS in lsp and cmpnew
  * reorder types for quick predicates, define some useful macros to
    same end
  * hash improvements courtesy of Boyer and Hunt, many thanks
  * print-object for defstruct
  * Only eval proper lists
  * read error on non-real complex components
  * nil means standard readtable
  * gcc-4.0 fixups
  * gcc 4.0 fixes;new trial subtypep (no member cons or satisfies yet);
    branch elimination; much type propagation expansion; equality
    upgrading to eq, list search functions inlined and optimized via
    compiler macros ; fix subtypep {,-integer,-float,-real,-rational,-
    complex} ansi tests.  FIXME -- go over these diffs and cleanup in a
    week's time
  * no nil vectors in gcl
  * optimize external macros with safety >=1 for arg checking -- with
    newer compiler mods enabling this facility
  * agressive C inline function calls for (funcall (quote sym) ...
  * Allow local function optimization declarations
  * Fix member compiler-macro
  * revert mistagged change to gcl_cmpeval.lsp
  * fix constant numeric comparison result detection for use in branch
    elimination ; eql-to-eq list type detection
  * Last arg to and is not a boolean
  * Make t inlines whenever boolean inlines are provided
  * proper lists in map functions -- FIXME handle properly elsewher too
  * fix terminal element in cons type support
  * make sys-proclaim.lisp with saved_pre_gcl
  * control-error support
  * No nil vector types
  * Major type system overhaul at the base -- all ansi subtypep tests
    pass with second arg set to t.  Autodetection and branch elimination
    for pcl::std-instance-p.  Incremental addition of class information
    during pcl build.  Explicit type orthoganalization and subtypep
    analysis based on assessment of (and t1 (not t2)) being type nil as
    in the Baker paper.  Preliminary use in the compiler in type-and.
    TODO complete replacement type-and and type-or in compiler with
    these algorithms.  Consider type hash consing  in compiler for
    compiler performance.  Consider a better deftype structure, as rate
    limiting step at present lies in normalizing the type via evaluation
    of interpreted deftype closures. Halv complex workload.
  * Misc small modifications to aid the compiler in optimization
  * Make sys-proclaims with saved_pre_gcl
  * External macros and functions must be compiled with safety 1 to
    check args
  * control weeoe support
  * pcl cache optimization, support for std-instance type declaration
    analysis
  * No mod/ files in saved_pre_gcl
  * No LD_STACK_FLAGS on non mingw
  * Lintian fix to package.d
  * Fix format :@ order
  * *print-readbaly* defauls to nil
  * comma interval support in format.c courtesy of Bob Boyer (thanks)
  * package-used-by-list typo fix in gcl_pcl_env.lisp
  * clcs_macros.lisp  to gcl_clcs_macros.lisp in main makefile
  * Fix cons-type-length bug blocking acl2
  * Fix frame popping bug misc.613
  * Don't evaluate 'the arg in recursively-cmp-macroexpand -- FIXME,
    this needs replacing with another c1 pass soon
  * Fix split-files pathname bug for the nqthms
  * Add back on_stack_list, fix misc 614
  * accelerated normalize-type without side-effects
  * extra ansi hash functions
  * another split-file fix
  * Newer standards
  * Fix cons type side-effect-induced bug -- FIXME try to remove the


=== debian/rules ===
--- 
+++ 
@@ -25,16 +25,21 @@
 #endif
 
 RELOC=locbfd
+
 #RELOC?=statsysbfd
-ifeq ($(ARCHT),alpha)
-RELOC=dlopen
-endif
-ifeq ($(ARCHT),mips)
-RELOC=dlopen
-endif
-ifeq ($(ARCHT),mipsel)
-RELOC=dlopen
-endif
+#ifeq ($(ARCHT),alpha)
+#RELOC=dlopen
+#endif
+
+# MIPS bfd support added 20050407 CM
+#ifeq ($(ARCHT),mips)
+#RELOC=dlopen
+#endif
+#ifeq ($(ARCHT),mipsel)
+#RELOC=dlopen
+#endif
+
+
 ifeq ($(ARCHT),ia64)
 RELOC=dlopen
 endif
@@ -134,10 +139,11 @@
 debian/control: debian/control.rm
 	cp debian/control.$(EXT) debian/control
 
-clean: debian/control
+clean: debian/control debian/gcl$(EXT).templates
 	dh_testdir
 	dh_testroot
 	rm -f *stamp
+	debconf-updatepo
 
 	-$(MAKE) clean
 
@@ -272,7 +278,3 @@
 	dh_installdeb -a
 	dh_shlibdeps -a
 	[ "$(RELOC)" != statsysbfd ] || dh_gencontrol -a -u"-Vgcc=$(MCC) -Vbinutils=binutils-dev(>=$(BVER)),binutils-dev(<=$(BVERB)-999)"
-	[ "$(RELOC)" = statsysbfd ] || dh_gencontrol -a -u"-Vgcc=$(MCC)"
-	dh_md5sums -a
-	dh_builddeb -a
-
